package de.dhbwloe.campusapp;

import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.View;

import java.lang.reflect.Field;

import de.dhbwloe.campusapp.search.SearchIndices;

/**
 * Created by pk910 on 19.01.2016.
 */
public abstract class CampusAppFragment extends Fragment {
    protected CampusAppContext AppContext;
    protected View oFragmentView;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        AppContext = CampusAppContext.getInstance();
        super.onCreate(savedInstanceState);
    }

    public static SearchIndices[] GetSearchIndices() {
        return new SearchIndices[0];
    }

    @Override
    public void onDetach() {
        super.onDetach();

        try {
            Field childFragmentManager = Fragment.class.getDeclaredField("mChildFragmentManager");
            childFragmentManager.setAccessible(true);
            childFragmentManager.set(this, null);

        } catch (NoSuchFieldException e) {
            throw new RuntimeException(e);
        } catch (IllegalAccessException e) {
            throw new RuntimeException(e);
        }
    }

}
