package de.dhbwloe.campusapp.fragments;


import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import java.util.Collections;
import java.util.Comparator;
import java.util.Date;

import de.dhbwloe.campusapp.CampusAppFragment;
import de.dhbwloe.campusapp.R;

/**
 * A simple {@link Fragment} subclass.
 */
public class DashboardNewsDhbw extends News {


    public DashboardNewsDhbw() {
        // Required empty public constructor
    }


    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        oFragmentView = inflater.inflate(R.layout.fragment_dashboard_news_stuv, container, false);

        return oFragmentView;
    }

    @Override
    public void onResume() {
        super.onResume();

        refreshStuvNews();
    }

    private void refreshStuvNews() {
        loadNewsSource("DHBW", true);

        Collections.sort(newsListItems, new Comparator<NewsListItem>() {
            @Override
            public int compare(NewsListItem item2, NewsListItem item1) {
                long now = (new Date()).getTime() / 1000;
                return (int) (item2.getTimeDifference(now) - item1.getTimeDifference(now));
            }
        });


        // show newsListItems
    }

}
